{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updates repositories according to the list of repositories that enterprise admins have given Dependabot access to when they've updated dependencies across organizations in the enterprise.\n\nThe authenticated user must be an enterprise owner to use this endpoint.\n\n**Example request body:**\n```json\n{\n  \"repository_ids_to_add\": [123, 456],\n  \"repository_ids_to_remove\": [789]\n}\n```\n\n> [!NOTE]\n> The \"Enterprise administration\" fine-grained permission is not available to callers. To use this API, you must use an OAuth app token or a personal access token (classic).","properties":{"path":{"type":"object","properties":{"enterprise":{"type":"string","description":"The slug version of the enterprise name."}},"required":["enterprise"],"additionalProperties":false},"body":{"type":"object","properties":{"repository_ids_to_add":{"type":"array","items":{"type":"integer"},"description":"List of repository IDs to add."},"repository_ids_to_remove":{"type":"array","items":{"type":"integer"},"description":"List of repository IDs to remove."}},"examples":[{"repository_ids_to_add":[123,456]}]}},"required":["path","body"],"additionalProperties":false},"name":"Updates Dependabot's repository access list for an enterprise","id":"github.dependabot.update-repository-access-for-enterprise","example":{"path":{"enterprise":"example"},"body":{"repository_ids_to_add":[123,456]}},"maxRequests":1,"summary":false}}